Public Member Functions | Public Attributes | List of all members
FullWrtGraphInternal::SideBar Struct Reference

Internal: the sidebar of a FullWrtGraph. More...

Inheritance diagram for FullWrtGraphInternal::SideBar:

## Public Member Functions
| SideBar (FullWrtStruct::ZoneHeader const &header)
| constructor More...
| ~SideBar ()
| destructor More...
Public Member Functions inherited from FullWrtStruct::ZoneHeader
| ZoneHeader ()
| constructor More...
virtual | ~ZoneHeader ()
| destructor More...
bool | read (shared_ptr< FullWrtStruct::Entry > zone)
| try to read the data header of a classical zone More...

## Public Attributes
MWAWBox2f | m_box
| the position (in point) More...
int | m_page
| the page More...
int | m_borderId
| the border id More...
bool | m_parsed
| a flag to know if the sidebar is send to the listener More...
Public Attributes inherited from FullWrtStruct::ZoneHeader
int | m_type
| the zone type More...
int | m_docId
| the doc id More...
int | m_fileId
| the file id More...
int | m_wrapping
| the wrapping type More...
std::string | m_extra
| some extra data More...

## Detailed Description

Internal: the sidebar of a FullWrtGraph.

## Constructor & Destructor Documentation

## ◆ SideBar()

FullWrtGraphInternal::SideBar::SideBar | ( | FullWrtStruct::ZoneHeader const & | header | ) |
| inline explicit

constructor

## ◆ ~SideBar()

FullWrtGraphInternal::SideBar::~SideBar | ( |  | ) |

destructor

Referenced by SideBar().

## Member Data Documentation

## ◆ m_borderId

int FullWrtGraphInternal::SideBar::m_borderId

the border id

Referenced by FullWrtGraph::readSideBarFormat(), and FullWrtGraph::sendSideBar().

## ◆ m_box

MWAWBox2f FullWrtGraphInternal::SideBar::m_box

the position (in point)

Referenced by FullWrtGraph::readSideBarPosition(), and FullWrtGraph::sendSideBar().

## ◆ m_page

int FullWrtGraphInternal::SideBar::m_page

the page

Referenced by FullWrtGraph::readSideBarPosition(), and FullWrtGraph::sendSideBar().

## ◆ m_parsed

bool FullWrtGraphInternal::SideBar::m_parsed
| mutable

a flag to know if the sidebar is send to the listener

Referenced by FullWrtGraph::sendPageGraphics(), and FullWrtGraph::sendSideBar().

The documentation for this struct was generated from the following file:

- FullWrtGraph.cxx